<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<vehicle  type="implementDynamicMountAttacher" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../../../shared/xml/schema/vehicle.xsd">
    <annotation>Copyright (C) GIANTS Software GmbH, All Rights Reserved.</annotation>

    <storeData>
        <name>Tow Hook</name>
        <specs>
            <weight ignore="true"/>
        </specs>
		<functions>
            <function>$l10n_function_towHook</function>
        </functions>
        <image>textures/store_towHook.dds</image>
        <price>450</price>
        <lifetime>600</lifetime>
        <rotation>0</rotation>
        <brand>Lizard</brand>
        <category>Misc</category>
        <shopHeight>1</shopHeight>
    </storeData>

    <base>
        <typeDesc>$l10n_typeDesc_towHook</typeDesc>
        <filename>TowHook.i3d</filename>
		<supportsPickUp>true</supportsPickUp>
        <size width="0.5" length="0.5" height="0.1" />
        <components>
            <component centerOfMass="0 0 0" solverIterationCount="20" mass="50" />
        </components>
        <schemaOverlay attacherJointPosition="-1 -1" name="IMPLEMENT">
        </schemaOverlay>
    </base>
	

    <attachable>
        <inputAttacherJoints>
            <inputAttacherJoint node="trailerAttacherJoint1" jointType="trailer" attacherHeight="0.65"/>
            <inputAttacherJoint node="trailerAttacherJoint1" jointType="trailerLow" attacherHeight="0.65"/>
            <inputAttacherJoint node="trailerAttacherJoint1" jointType="semitrailer" attacherHeight="0.65"/>
            <inputAttacherJoint node="trailerAttacherJoint2" jointType="trailer" attacherHeight="0.65"/>
            <inputAttacherJoint node="trailerAttacherJoint2" jointType="trailerLow" attacherHeight="0.65"/>
            <inputAttacherJoint node="trailerAttacherJoint2" jointType="semitrailer" attacherHeight="0.65"/>
            <inputAttacherJoint node="trailerAttacherJoint3" jointType="trailerLow" attacherHeight="0.65"/>
            <inputAttacherJoint node="trailerAttacherJoint4" jointType="trailerLow" attacherHeight="0.65"/>
        </inputAttacherJoints>
    </attachable>
	
	<ai>
        <agentAttachment width="0.85" height="1.0" length="0.6" lengthOffset="-0.1"/>
    </ai>

    <foliageBending>
        <bendingNode minX="-1" maxX="1" minZ="-1.4" maxZ="0.6" yOffset="0.55" />
    </foliageBending>	
	
	<designColorConfigurations price="1000" useDefaultColors="true" MaterialTemplateName="SKODA_BLACK_MAGIC" title="Main 1">
	    <designColorConfiguration materialTemplateName="SKODA_ENERGY_BLUE"/>
        <designColorConfiguration materialTemplateName="SKODA_STEEL_GREY"/>
        <designColorConfiguration materialTemplateName="SKODA_VELVET_RED_METALLIC"  isDefault="true"/>
        <designColorConfiguration materialTemplateName="SKODA_GRAPHITE_GREY_METALLIC"/>
        <designColorConfiguration materialTemplateName="SKODA_BRILLIANT_SILVER_METALLIC"/>
        <designColorConfiguration materialTemplateName="SKODA_RACE_BLUE_METALLIC"/>
        <designColorConfiguration materialTemplateName="SKODA_GOLD_BRONZE"/>
        <designColorConfiguration materialTemplateName="SKODA_BLACK_MAGIC"/>
        <designColorConfiguration materialTemplateName="SKODA_MOON_WHITE"/>
		<designColorConfiguration name="WHITE" color="SHARED_WHITE2" price="0"/>	
		<designColorConfiguration name="OFF WHITE" color="0.8 0.7 0.62" price="0"/>	
		<designColorConfiguration name="CREAM" color="0.4 0.38 0.22" price="0"/>		
		<designColorConfiguration name="SILVER" color="SHARED_GREY2" price="0"/>	
		<designColorConfiguration name="CHARCOAL" color="SHARED_GREY5" price="0"/>		
		<designColorConfiguration name="BLACK" color="0.02 0.02 0.02" price="0"/>
        <designColorConfiguration name="DARK BLACK" color="0 0 0" price="0"/>
		<designColorConfiguration name="BRIGHT RED" color="0.3 0 0" price="0"/>		
		<designColorConfiguration name="MEDIUM RED" color="0.1 0 0" price="0"/>	
        <designColorConfiguration name="BURGUNDY" color="0.076 0.00 0.012" price="0"/>	
		<designColorConfiguration name="MAROON" color="0.086 0 0" price="0"/>					
		<designColorConfiguration name="VIOLET" color="0.1 0 0.03" price="0"/>		
		<designColorConfiguration name="PURPLE" color="0.056 0.004 0.084" price="0"/>	
		<designColorConfiguration name="BURPLE" color="0.08 0 .8" price="0"/>
		<designColorConfiguration name="SLATE BLUE" color="0.043 0.071 0.098" price="0"/>
		<designColorConfiguration name="PALE BLUE" color="0.353 0.584 0.569" price="0"/>	
		<designColorConfiguration name="LIGHT BLUE" color="NEWHOLLAND_BLUE1" price="0"/>
		<designColorConfiguration name="MEDIUM BLUE" color="0 0.051 0.349" price="0"/>	
		<designColorConfiguration name="BRIGHT BLUE" color="0 0 0.8" price="0"/>		
		<designColorConfiguration name="DARK BLUE" color="0 0 0.02" price="0"/>	
		<designColorConfiguration name="TIFFANY BLUE" color="0.031 0.584 0.569" price="0"/>		
		<designColorConfiguration name="TURQUOISE BLUE" color="0 0.3 0.3" price="0"/>	
		<designColorConfiguration name="MINT GREEN" color="0 0.15 0.1" price="0"/>
		<designColorConfiguration name="BRIGHT GREEN" color="0.184 0.491 0.026" price="0"/>
		<designColorConfiguration name="MEDIUM GREEN" color="0 0.058 0.012" price="0"/>
		<designColorConfiguration name="DARK GREEN" color="0 0.03 0.01" price="0"/>	
		<designColorConfiguration name="BRIGHT YELLOW" color="JOHNDEERE_YELLOW1"	price="0"/>
		<designColorConfiguration name="MEDIUM YELLOW" color="0.8 0.4 0" price="0"/>
		<designColorConfiguration name="Kubota ORANGE" color="0.947 0.05 0.008" price="0"/>		
		<designColorConfiguration name="BURNT ORANGE" color="0.6 0.03 0" price="0"/>	
		<designColorConfiguration name="BEIGE" color="0.25 0.22 0.2" price="0"/>
		<designColorConfiguration name="TAN" color="0.25 0.2 0.15" price="0"/>		   
	    <designColorConfiguration name="LIGHT BROWN" color="0.08 0.06 0.04" price="0"/>
	    <designColorConfiguration name="MEDIUM BROWN" color="SHARED_BROWN1" price="0"/>			
		<designColorConfiguration name="DARK BROWN" color="0.05 0.025 0.01" price="0"/>				
		<designColorConfiguration name="ICONIK BLUE" color="FENDT_VIOLET1" price="0"/>
		
		<material materialSlotName="main1"/>
	</designColorConfigurations>
	
	<designColor2Configurations price="1000" useDefaultColors="true" MaterialTemplateName="SKODA_BLACK_MAGIC" title="Main 2">
	    <designColor2Configuration materialTemplateName="SKODA_ENERGY_BLUE"/>
        <designColor2Configuration materialTemplateName="SKODA_STEEL_GREY"/>
        <designColor2Configuration materialTemplateName="SKODA_VELVET_RED_METALLIC"/>
        <designColor2Configuration materialTemplateName="SKODA_GRAPHITE_GREY_METALLIC"/>
        <designColor2Configuration materialTemplateName="SKODA_BRILLIANT_SILVER_METALLIC"/>
        <designColor2Configuration materialTemplateName="SKODA_RACE_BLUE_METALLIC"/>
        <designColor2Configuration materialTemplateName="SKODA_GOLD_BRONZE"/>
        <designColor2Configuration materialTemplateName="SKODA_BLACK_MAGIC"/>
        <designColor2Configuration materialTemplateName="SKODA_MOON_WHITE"/>
		<designColor2Configuration name="WHITE" color="SHARED_WHITE2" price="0"/>	
		<designColor2Configuration name="OFF WHITE" color="0.8 0.7 0.62" price="0"/>	
		<designColor2Configuration name="CREAM" color="0.4 0.38 0.22" price="0"/>		
		<designColor2Configuration name="SILVER" color="SHARED_GREY2" price="0"/>	
		<designColor2Configuration name="CHARCOAL" color="SHARED_GREY5" price="0"/>		
		<designColor2Configuration name="BLACK" color="0.02 0.02 0.02" price="0"/>
        <designColor2Configuration name="DARK BLACK" color="0 0 0" price="0"  isDefault="true"/>
		<designColor2Configuration name="BRIGHT RED" color="0.3 0 0" price="0"/>		
		<designColor2Configuration name="MEDIUM RED" color="0.1 0 0" price="0"/>	
        <designColor2Configuration name="BURGUNDY" color="0.076 0.00 0.012" price="0"/>	
		<designColor2Configuration name="MAROON" color="0.086 0 0" price="0"/>					
		<designColor2Configuration name="VIOLET" color="0.1 0 0.03" price="0"/>		
		<designColor2Configuration name="PURPLE" color="0.056 0.004 0.084" price="0"/>	
		<designColor2Configuration name="BURPLE" color="0.08 0 .8" price="0"/>
		<designColor2Configuration name="SLATE BLUE" color="0.043 0.071 0.098" price="0"/>
		<designColor2Configuration name="PALE BLUE" color="0.353 0.584 0.569" price="0"/>	
		<designColor2Configuration name="LIGHT BLUE" color="NEWHOLLAND_BLUE1" price="0"/>
		<designColor2Configuration name="MEDIUM BLUE" color="0 0.051 0.349" price="0"/>	
		<designColor2Configuration name="BRIGHT BLUE" color="0 0 0.8" price="0"/>		
		<designColor2Configuration name="DARK BLUE" color="0 0 0.02" price="0"/>	
		<designColor2Configuration name="TIFFANY BLUE" color="0.031 0.584 0.569" price="0"/>		
		<designColor2Configuration name="TURQUOISE BLUE" color="0 0.3 0.3" price="0"/>	
		<designColor2Configuration name="MINT GREEN" color="0 0.15 0.1" price="0"/>
		<designColor2Configuration name="BRIGHT GREEN" color="0.184 0.491 0.026" price="0"/>
		<designColor2Configuration name="MEDIUM GREEN" color="0 0.058 0.012" price="0"/>
		<designColor2Configuration name="DARK GREEN" color="0 0.03 0.01" price="0"/>	
		<designColor2Configuration name="BRIGHT YELLOW" color="JOHNDEERE_YELLOW1"	price="0"/>
		<designColor2Configuration name="MEDIUM YELLOW" color="0.8 0.4 0" price="0"/>
		<designColor2Configuration name="Kubota ORANGE" color="0.947 0.05 0.008" price="0"/>		
		<designColor2Configuration name="BURNT ORANGE" color="0.6 0.03 0" price="0"/>	
		<designColor2Configuration name="BEIGE" color="0.25 0.22 0.2" price="0"/>
		<designColor2Configuration name="TAN" color="0.25 0.2 0.15" price="0"/>		   
	    <designColor2Configuration name="LIGHT BROWN" color="0.08 0.06 0.04" price="0"/>
	    <designColor2Configuration name="MEDIUM BROWN" color="SHARED_BROWN1" price="0"/>			
		<designColor2Configuration name="DARK BROWN" color="0.05 0.025 0.01" price="0"/>				
		<designColor2Configuration name="ICONIK BLUE" color="FENDT_VIOLET1" price="0"/>
		
        <material materialSlotName="main2"/>
    </designColor2Configurations>
	
	<designColor3Configurations price="1000" useDefaultColors="true" MaterialTemplateName="SKODA_BLACK_MAGIC" title="Main 3">
	    <designColor3Configuration materialTemplateName="SKODA_ENERGY_BLUE"/>
        <designColor3Configuration materialTemplateName="SKODA_STEEL_GREY"/>
        <designColor3Configuration materialTemplateName="SKODA_VELVET_RED_METALLIC"/>
        <designColor3Configuration materialTemplateName="SKODA_GRAPHITE_GREY_METALLIC"/>
        <designColor3Configuration materialTemplateName="SKODA_BRILLIANT_SILVER_METALLIC"/>
        <designColor3Configuration materialTemplateName="SKODA_RACE_BLUE_METALLIC"/>
        <designColor3Configuration materialTemplateName="SKODA_GOLD_BRONZE"/>
        <designColor3Configuration materialTemplateName="SKODA_BLACK_MAGIC"/>
        <designColor3Configuration materialTemplateName="SKODA_MOON_WHITE"/>
		<designColor3Configuration name="WHITE" color="SHARED_WHITE2" price="0"/>	
		<designColor3Configuration name="OFF WHITE" color="0.8 0.7 0.62" price="0"/>	
		<designColor3Configuration name="CREAM" color="0.4 0.38 0.22" price="0"/>		
		<designColor3Configuration name="SILVER" color="SHARED_GREY2" price="0"/>	
		<designColor3Configuration name="CHARCOAL" color="SHARED_GREY5" price="0"/>		
		<designColor3Configuration name="BLACK" color="0.02 0.02 0.02" price="0"/>
        <designColor3Configuration name="DARK BLACK" color="0 0 0" price="0"  isDefault="true"/>
		<designColor3Configuration name="BRIGHT RED" color="0.3 0 0" price="0"/>		
		<designColor3Configuration name="MEDIUM RED" color="0.1 0 0" price="0"/>	
        <designColor3Configuration name="BURGUNDY" color="0.076 0.00 0.012" price="0"/>	
		<designColor3Configuration name="MAROON" color="0.086 0 0" price="0"/>					
		<designColor3Configuration name="VIOLET" color="0.1 0 0.03" price="0"/>		
		<designColor3Configuration name="PURPLE" color="0.056 0.004 0.084" price="0"/>	
		<designColor3Configuration name="BURPLE" color="0.08 0 .8" price="0"/>
		<designColor3Configuration name="SLATE BLUE" color="0.043 0.071 0.098" price="0"/>
		<designColor3Configuration name="PALE BLUE" color="0.353 0.584 0.569" price="0"/>	
		<designColor3Configuration name="LIGHT BLUE" color="NEWHOLLAND_BLUE1" price="0"/>
		<designColor3Configuration name="MEDIUM BLUE" color="0 0.051 0.349" price="0"/>	
		<designColor3Configuration name="BRIGHT BLUE" color="0 0 0.8" price="0"/>		
		<designColor3Configuration name="DARK BLUE" color="0 0 0.02" price="0"/>	
		<designColor3Configuration name="TIFFANY BLUE" color="0.031 0.584 0.569" price="0"/>		
		<designColor3Configuration name="TURQUOISE BLUE" color="0 0.3 0.3" price="0"/>	
		<designColor3Configuration name="MINT GREEN" color="0 0.15 0.1" price="0"/>
		<designColor3Configuration name="BRIGHT GREEN" color="0.184 0.491 0.026" price="0"/>
		<designColor3Configuration name="MEDIUM GREEN" color="0 0.058 0.012" price="0"/>
		<designColor3Configuration name="DARK GREEN" color="0 0.03 0.01" price="0"/>	
		<designColor3Configuration name="BRIGHT YELLOW" color="JOHNDEERE_YELLOW1"	price="0"/>
		<designColor3Configuration name="MEDIUM YELLOW" color="0.8 0.4 0" price="0"/>
		<designColor3Configuration name="Kubota ORANGE" color="0.947 0.05 0.008" price="0"/>		
		<designColor3Configuration name="BURNT ORANGE" color="0.6 0.03 0" price="0"/>	
		<designColor3Configuration name="BEIGE" color="0.25 0.22 0.2" price="0"/>
		<designColor3Configuration name="TAN" color="0.25 0.2 0.15" price="0"/>		   
	    <designColor3Configuration name="LIGHT BROWN" color="0.08 0.06 0.04" price="0"/>
	    <designColor3Configuration name="MEDIUM BROWN" color="SHARED_BROWN1" price="0"/>			
		<designColor3Configuration name="DARK BROWN" color="0.05 0.025 0.01" price="0"/>				
		<designColor3Configuration name="ICONIK BLUE" color="FENDT_VIOLET1" price="0"/>
		
        <material materialSlotName="main3"/>
    </designColor3Configurations>
	
	
    <wearable wearDuration="200" workMultiplier="5" fieldMultiplier="2"/>
    <washable dirtDuration="25" washDuration="1" workMultiplier="6" fieldMultiplier="2"/>

    <i3dMappings>
        <i3dMapping id="Hook_main" node="0>" />
        <i3dMapping id="trailerAttacherJoint1" node="0>4" />
        <i3dMapping id="trailerAttacherJoint2" node="0>5" />
        <i3dMapping id="trailerAttacherJoint3" node="0>6" />
        <i3dMapping id="trailerAttacherJoint4" node="0>7" />
    </i3dMappings>
</vehicle>
